Author: bgstack15
Origin: Devuan
Last-Version: 0.0.0
Message: Optionally use libelogind-dev which provides same headers for dbus as libsystemd.
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -138,7 +138,12 @@ else()
     pkg_check_modules(WAYLAND REQUIRED wayland-client)
     pkg_check_modules(WAYLAND_PROTOCOLS REQUIRED wayland-protocols)
     pkg_check_modules(LIBPLACEBO REQUIRED libplacebo)
-    pkg_check_modules(SYSTEMD REQUIRED libsystemd)
+    pkg_check_modules(SYSTEMD libsystemd QUIET)
+    if (NOT SYSTEMD_FOUND)
+      pkg_check_modules(SYSTEMD libelogind REQUIRED)
+    else()
+      pkg_check_modules(SYSTEMD REQUIRED libsystemd)
+    endif()
     pkg_check_modules(X11 REQUIRED x11)
 
     # Find wayland-scanner
